import App from './App'
import i18n from './lang/i18n'
import utils from "@/utils/common.js" //自定义函数

// #ifdef VUE2
import Vue from 'vue'
Vue.config.productionTip = false
Vue.mixin(utils); //vue2方式混入    //未测试可用性
App.mpType = 'app'
const app = new Vue({
    i18n,
    ...App
})
app.$mount()
// #endif


// #ifdef VUE3
import {
    createSSRApp
} from 'vue'

export function createApp() {
    const app = createSSRApp(App)
    app.use(i18n);
    return {
        app
    }
}
// #endif